1. Payment Credentials
Español
  • Español
  • English
  • Bienvenidos
  • CARD PRESENT PAYMENTS (API RAW) Copy
    • One-time payments
    • Two-step-payments
    • Voids & Refunds
    • Card information
    • Query Transactions
  • Online Payments
    • Card Async
      • Request a card async token
      • Authorize payments
      • Get Status
      • Capture an authorized payment
      • Init Transaction
    • Async Card Recurring Charges
      • Request an async card recurring charge token
      • Init an async card recurring charge
      • Capture an authorized payment
      • Authorize payments
      • Capture an authorized payment
      • Authorize payments
    • Card
      • Bin Info
      • Bin Info V2
      • Request deferred options
      • Request a card token
      • Make a charge or deferred charge
      • Create payment (tokenless)
      • Authorize payments
      • Capture an authorized payment
      • Reauthorize payments
      • Void a transaction
      • Refund a transaction
      • Voucher
      • Validate OTP
      • Verify Account
      • Preauthorization (tokenless)
    • Chargebacks
      • Query chargebacks
      • Request chargeback export
    • Transfer In
      • Get Bank List
      • Init Transaction
      • Request a Transfer In token
      • Get Status
    • Transfer Out
      • Get Bank List
      • Get Bank List V2
      • Request a Transfer Out token
      • Init Transaction
      • Get Status
      • Balance for Payouts
    • Cash In
      • Request a cash in token
      • Init Transaction
      • Transaction Status
    • Smartlinks V2
      • Create a Smartlink
      • Delete a smartlink
      • Get a Smartlink
      • Update a Smartlink
    • Analytics
      • Get transactions list v1
      • Get transactions list v2
    • Gateway Status
      • Get gateway status
    • Payment Credentials
      • Create a credential
        POST
      • Search credentials
        POST
      • Update credential
        PATCH
      • Regenerate a credential
        PATCH
      • Delete credential
        DELETE
      • Activate or deactivate
        PATCH
      • Advanced search
        POST
    • Payment Button
      • Raíz
        • Create a payment button
    • Platform Status
    • Subscription Transactions
    • One-Click & Scheduled Payments
      • Request a recurring charge token
      • Update recurring charge card data
      • Cancel a recurring charge
      • Update a recurring charge
      • Get recurring charge Info
      • Create a recurring charge
      • Authorize payments
      • Capture an authorized payment
      • Add a temporary charge or discount
      • Make an One-click payment
  • Schemas
    • extraTaxes
    • Amount-cash-in
    • Amount
    • networkToken
    • currency
    • Metadata
    • documentType
    • Subscription
    • webhooks
    • headers
    • ContactDetails
    • Country
    • Language
    • threeDomainSecure
    • binInfo
    • Deferred
    • SubscriptionUpdate
    • SubscriptionAdjustmentRequest
    • transactionType
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨Colombia 🇨🇴Chile 🇨🇱
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨Colombia 🇨🇴Chile 🇨🇱
  1. Payment Credentials

Create a credential

POST
/payment-credentials/v1/credential
This endpoint allows you to create a new credential with its corresponding public and private keys.
Note: to use this endpoint you must obtain first a main or master credential for your merchant. It can be generated by a Credential Master user (available only on demand).
Got a suggestion on this documentation? Contact Us.

Request

Header Params

Body Params application/json

Examples

Responses

🟢201
application/json
Body

🟠400
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api-uat.kushkipagos.com/payment-credentials/v1/credential' \
--header 'Private-Merchant-Id;' \
--header 'Content-Type: application/json' \
--data-raw '{
    "alias": "",
    "enable": false,
    "hidden": true,
    "merchant_id": "string",
    "metadata": {
        "key0": "value0",
        "key1": "value1",
        "key2": "value2"
    }
}'
Response Response Example
201 - Example 1
{
    "alias": "string",
    "credential_id": "string",
    "metadata": {
        "key0": "value0",
        "key1": "value1",
        "key2": "value2"
    },
    "private_credential_id": "string",
    "public_credential_id": "string"
}
Modified at 2026-04-16 17:19:33
Previous
Get gateway status
Next
Search credentials
Built with